Subject: bug#29485: perl-geo-ip is broken since ever!

From: zimoun <[email-masked]>
Date: Thu, 03 Dec 2020 01:34:23 +0100

Hi,

The old bug #29485 is about the hard coded database of the package
perl-geo-ip.

   <http://issues.guix.gnu.org/issue/29485>
   
On Tue, 28 Nov 2017 at 15:41, ng0 <[email-masked]> wrote:

> user@abyayala /gnu/store/5mhrli41qbcpns3gg0yf1vv07lvpg8hm-perl-geo-ip-1.51$ egrep -nr "/usr/" lib/perl5/site_perl/5.26.0/
> lib/perl5/site_perl/5.26.0/Geo/IP/Record.pod:9:  my $gi = Geo::IP->open("/usr/local/share/GeoIP/GeoIPCity.dat", GEOIP_STANDARD);
> lib/perl5/site_perl/5.26.0/Geo/IP.pm:5075:# default path /usr/local/share/GeoIP
> lib/perl5/site_perl/5.26.0/Geo/IP.pm:5159:    my $def_db_file = '/usr/local/share/GeoIP/GeoIP.dat';
> lib/perl5/site_perl/5.26.0/Geo/IP.pm:5962:  my $gi = Geo::IP->open("/usr/local/share/GeoIP/GeoIPCity.dat", GEOIP_STANDARD);
> lib/perl5/site_perl/5.26.0/Geo/IP.pm:5984:  my $g = Geo::IP->open('/usr/local/share/GeoIP/GeoIPv6.dat') or die;
> lib/perl5/site_perl/5.26.0/Geo/IP.pm:6046:I<datadir>, typically I</usr/local/share/GeoIP/GeoIP.dat>.
> lib/perl5/site_perl/5.26.0/Geo/IP.pm:6078:typically I</usr/local/share/GeoIP/GeoIPCity.dat>.
> lib/perl5/site_perl/5.26.0/Geo/IP.pm:6226:  my $g = Geo::IP->open('/usr/local/share/GeoIP/GeoIPv6.dat') or die;

I am reproducing this with the Guix commit f4450e8.

> However this is not really a problem unless you are on GuixSD.
> As we do not package the DB of MaxDB (yet) you'll need for this, it's
> not a problem. I'm filing this bug to remind myself to fix Geo::IP once
> I have revisited the discussion we had about the DB a while back.

It is a problem and the package is broken.  I am assuming this package
is not used so I am proposing to simply remove it.  Otherwise, the
database should be also packaged, else it appears to me meaningless.

All the best,
simon